Page MenuHomePhabricator

Section handling in Semantic Forms
Closed, ResolvedPublic

Description

The Semantic Forms extension has long been useful as a way to make structured data, contained within template calls, easy to create and edit. However, there is another kind of standard structuring of wiki pages, that Semantic Forms doesn't yet handle: page sections.

This project would add a "{{{section}}}" tag to the form-definition syntax that Semantic Forms provides, so that administrators can set an entire standard layout for pages in their wiki, including both templates and sections; a much more complete solution. Each page section would then be editable in forms with its own "textarea" input.

This project would also add section handling to the Page Schemas extension, which offers a more structured way to create the forms that Semantic Forms uses.

This is a proposal made by the SMW team at http://www.mediawiki.org/wiki/Mentorship_programs/Possible_projects#Section_handling_in_Semantic_Forms


Version: unspecified
Severity: enhancement

Details

Reference
bz46662

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:26 AM
bzimport set Reference to bz46662.
Qgil created this task.Mar 28 2013, 10:39 PM
Qgil added a comment.May 2 2013, 11:42 PM

Just a note to say that Himeshi De Silva has submitted a proposal related to this report: https://www.mediawiki.org/wiki/User:Himeshi/GSoC_2013_Application

At present I have gone through the necessary documentation to understand the working of Semantic Forms extension and also about Semantic MediaWiki and MediaWiki in general. I have also written a small code sample to add a {{{section}}} tag to understand the project better.

As the immediate next steps I plan to complete the addition of {{{section}}} tag to the form definition syntax. I hope to then go on to implementing the defining of page sections via Special:CreateForm.

Change 72051 had a related patch set uploaded by Himeshi:
Added parsing of the {{{section}}} tag.

https://gerrit.wikimedia.org/r/72051

Change 72051 merged by jenkins-bot:
Added parsing of the {{{section}}} tag.

https://gerrit.wikimedia.org/r/72051

Change 75343 had a related patch set uploaded by Himeshi:
Modified Special:CreateForm for page sections

https://gerrit.wikimedia.org/r/75343

Change 75343 merged by jenkins-bot:
Modified Special:CreateForm for page sections

https://gerrit.wikimedia.org/r/75343

Change 77461 had a related patch set uploaded by Himeshi:
Add handling of other parameters for page sections

https://gerrit.wikimedia.org/r/77461

Change 77461 merged by jenkins-bot:
Add handling of other parameters for page sections

https://gerrit.wikimedia.org/r/77461

Change 79556 had a related patch set uploaded by Himeshi:
Added PageSchemas extension handling for page sections

https://gerrit.wikimedia.org/r/79556

Change 79556 merged by jenkins-bot:
Added PageSchemas extension handling for page sections

https://gerrit.wikimedia.org/r/79556

Change 80864 had a related patch set uploaded by Himeshi:
Creating forms with page section via PageSchemas

https://gerrit.wikimedia.org/r/80864

Change 83213 had a related patch set uploaded by Himeshi:
Added unit tests for the SFFormPrinter class

https://gerrit.wikimedia.org/r/83213

Qgil added a comment.Sep 17 2013, 4:13 PM

GSoC "soft pencils down" date was yesterday and all coding must stop on 23 September. Has this project been completed?

Section handling has been added to Semantic Forms, so yes, but Himeshi is still set to complete additional work on it before the end of GSoC - adding a testing framework.

Change 80864 merged by jenkins-bot:
Creating forms with page section via PageSchemas

https://gerrit.wikimedia.org/r/80864

Change 83213 merged by jenkins-bot:
Added unit tests for the SFFormPrinter class

https://gerrit.wikimedia.org/r/83213

Might as well mark this as "fixed"!

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 28 2016, 5:58 PM